DESedeKeySpec (GNU cryptographic primitives and tools)
Keywords: javax.crypto.spec.DESedeKeySpec,DESedeKeySpec class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto.spec
Class DESedeKeySpec

    java.lang.Object
      |
      +--javax.crypto.spec.DESedeKeySpec

All Implemented Interfaces:
  java.security.spec.KeySpec

public class DESedeKeySpec
extends java.lang.Object
implements java.security.spec.KeySpec

This class specifies a DES-EDE ("triple-DES") key.

Field Summary
`static int` | `DES_EDE_KEY_LEN`

Constructor Summary
`DESedeKeySpec(byte[] key)` Uses the first 24 bytes in `key` as the DES-EDE key.
`DESedeKeySpec(byte[] key, int offset)` Uses the first 24 bytes in `key`, beginning at `offset` inclusive, as the DES-EDE key.

Method Summary
`byte[]` | `getKey()` Returns the DES-EDE key.
`static boolean` | `isParityAdjusted(byte[] key, int offset)` Checks if the given DES-EDE key, starting at `offset` inclusive, is parity-adjusted.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DES_EDE_KEY_LEN

    public static final int DES_EDE_KEY_LEN

See Also:
  Constant Field Values

Constructor Detail

### DESedeKeySpec

    public DESedeKeySpec(byte[] key)
                  throws java.security.InvalidKeyException

  Uses the first 24 bytes in `key` as the DES-EDE key.

  The bytes that constitute the DES-EDE key are those between `key[0]` and `key[23]` inclusive

Parameters:
  `key` - the buffer with the DES-EDE key material.
Throws:
  `java.security.InvalidKeyException` - if the given key material is shorter than 24 bytes.

### DESedeKeySpec

    public DESedeKeySpec(byte[] key,
                         int offset)
                  throws java.security.InvalidKeyException

  Uses the first 24 bytes in `key`, beginning at `offset` inclusive, as the DES-EDE key.

  The bytes that constitute the DES-EDE key are those between `key[offset]` and `key[offset+23]` inclusive.

Parameters:
  `key` - the buffer with the DES-EDE key material.
  `offset` - the offset in `key`, where the DES-EDE key material starts.
Throws:
  `java.security.InvalidKeyException` - if the given key material, starting at `offset` inclusive, is shorter than 24 bytes

Method Detail

### getKey

    public byte[] getKey()

  Returns the DES-EDE key.

  Returns:
    the DES-EDE key

### isParityAdjusted

    public static boolean isParityAdjusted(byte[] key,
                                           int offset)
                                    throws java.security.InvalidKeyException

  Checks if the given DES-EDE key, starting at `offset` inclusive, is parity-adjusted.

  Returns:
    true if the given DES-EDE key is parity-adjusted, false otherwise
  Throws:
    `java.security.InvalidKeyException` - if the given key material, starting at `offset` inclusive, is shorter than 24 bytes

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.